# Refund post request

Collection refunds might not go as planned as such you can request that the funds be returned to the customer. When the refund request is made, we reimburse the customer the exact or a fraction of the amount that was paid in the original transaction request. Each transaction indicates this via **`support_partial_refund`** which is sent when a payment request is made or via the webhook notification. if a fraction of the amount can be sent **`support_partial_refund`** will be **`true`**\
\
During the refund request processing, the funds are debited from your respective currency merchant account wallet.\
\
A notification about the status of the refund will be set to the set [`webhook URL`](/appendix/webhook.md) set under your merchant account API tokens.

{% hint style="danger" %}
Based on the provider, partial refunds may not be available in some scenarios
{% endhint %}

**Live**

```javascript
POST https://kitegateway.com/v1/collections/refund
```

**Sandbox**

```
POST  https://sandbox.kitegateway.com/v1/collections/refund
```

{% tabs %}
{% tab title="Headers" %}

#### Request

| Header            | Value                  | Required |
| ----------------- | ---------------------- | -------- |
| **Content-Type**  | **`application/json`** | YES      |
| **Accept**        | **`application/json`** | YES      |
| **Authorization** | **`JWT ***`**          | YES      |
| {% endtab %}      |                        |          |

{% tab title="Request" %}

#### Request

| Parameter Name         | Type    | Description                                                                                                                       | Required |
| ---------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------- | -------- |
| kitegateway\_reference | string  | The Kitegateway reference of the transaction to refund. This is usually included in the API request responses or IPN's            | YES      |
| amount                 | integer | (Optional) Specify for a partial refund. The amount should be less or equal to the transaction amount in the previous transaction | NO       |
| {% endtab %}           |         |                                                                                                                                   |          |

{% tab title="Response" %}

<table data-header-hidden><thead><tr><th width="238">Parameter Name</th><th width="151">Type</th><th width="357">Description</th></tr></thead><tbody><tr><td>Parameter Name</td><td>Type</td><td>Description</td></tr><tr><td>id</td><td></td><td></td></tr><tr><td>kitegateway_reference</td><td>string</td><td>The Kitegateway reference of the transaction to refund. This is usually included in the API request responses or IPN's</td></tr><tr><td>transaction_amount</td><td>integer</td><td>The amount of money to refund</td></tr><tr><td>transaction_currency</td><td>string</td><td>The currency being refunded</td></tr><tr><td>transaction_fee</td><td>integer</td><td>Fee charged</td></tr><tr><td>total_debit</td><td>integer</td><td>Amount debited from wallet</td></tr><tr><td>payment_method</td><td>string</td><td>The payment method that was used during collection</td></tr><tr><td>merchant_reference</td><td>string</td><td>The reference provided by the merchant</td></tr><tr><td>collection_reference</td><td>string</td><td>The kitegateway collection reference that was made prior to this refund</td></tr><tr><td>transaction_status</td><td>string</td><td>One of either PENDING, COMPLETED</td></tr><tr><td></td><td></td><td></td></tr></tbody></table>
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kitegateway.com/refunds/refund-post-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
